import { Component } from '@angular/core';
import {Observable} from "rxjs";
import {Employee} from "../Employee";
import {Qualification} from "../Qualification";
import {HttpClient} from "@angular/common/http";
import {MatSnackBar} from "@angular/material/snack-bar";
import {AsyncPipe} from "@angular/common";

@Component({
  selector: 'app-qualifications',
  imports: [
    AsyncPipe
  ],
  templateUrl: './qualifications.component.html',
  styleUrl: './qualifications.component.css'
})
export class QualificationsComponent {
  public qualifications$: Observable<Qualification[]>;

  constructor(
    private readonly httpClient: HttpClient,
  ) {
    this.qualifications$ = this.httpClient.get<Qualification[]>('http://localhost:8089/qualifications');
  }
}
